From 188fa6e4e60106f655e45b4370c976a92ef5f3b6 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Thu, 8 Feb 2024 13:01:36 +0900
Subject: [PATCH] Prevent installation of xid_wraparound test during main
 install.

Oversight in e255b646a.

Reported-by: Peter Eisentraut
Discussion: https://postgr.es/m/84cd416a-0e37-4019-8380-1c8a3cdd8c5c%40eisentraut.org
---
 src/test/modules/xid_wraparound/meson.build | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/src/test/modules/xid_wraparound/meson.build b/src/test/modules/xid_wraparound/meson.build
index 602172754a..2e5248131b 100644
--- a/src/test/modules/xid_wraparound/meson.build
+++ b/src/test/modules/xid_wraparound/meson.build
@@ -12,14 +12,13 @@ endif
 
 xid_wraparound = shared_module('xid_wraparound',
   xid_wraparound_sources,
-  kwargs: pg_mod_args,
+  kwargs: pg_test_mod_args,
 )
-testprep_targets += xid_wraparound
+test_install_libs += xid_wraparound
 
-install_data(
+test_install_data += files(
   'xid_wraparound.control',
   'xid_wraparound--1.0.sql',
-  kwargs: contrib_data_args,
 )
 
 tests += {
-- 
2.39.3

